Download it now!
Bug 44738 - FILEOPEN WKS importer creates date formats in German language
Summary: FILEOPEN WKS importer creates date formats in German language
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: All All
: medium minor
Assignee: Eike Rathke
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-12 10:24 UTC by Urmas
Modified: 2012-06-01 05:29 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
patch (11.28 KB, patch)
2012-02-13 14:56 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2012-01-12 10:24:06 UTC
When importing WKS spreadsheets, cells formatted as date have 'TT.MM.JJJJ' format or similar. Even if used locale has nothing with German.
Comment 1 Urmas 2012-02-13 14:56:24 UTC
Created attachment 56998 [details]
patch

This patch should amend the issue. It also translates comments in relevant file.
Comment 2 Not Assigned 2012-05-09 08:38:00 UTC
Urmas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b8d8ab30305212c3606d9218f1e017132d4772b

fdo#44738 use general format code keywords
Comment 3 Not Assigned 2012-05-09 08:38:28 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb7ff0d3801868d6ed7ba9be79095cdce9e29915

changes to fdo#44738 patch to make it work with other locales
Comment 4 Michael Meeks 2012-06-01 05:29:53 UTC
I had to revert the German translation part due to lack of a clear MPL/LGPLv3+ license from Umas, and no response on that.

The fix should stay fixed though.